--- old/usr/src/cmd/sgs/ld/Makefile.com	2019-07-14 19:12:02.254667705 +0000
+++ new/usr/src/cmd/sgs/ld/Makefile.com	2019-07-14 19:12:02.272906869 +0000
@@ -36,33 +36,30 @@
 OBJS =		$(BLTOBJ) $(COMOBJS)
 .PARALLEL:	$(OBJS)
 
-MAPFILES =	../common/mapfile-intf $(MAPFILE.NGB)
+SRCDIR =	$(SGSHOME)/ld
+
+MAPFILES =	$(SRCDIR)/common/mapfile-intf $(MAPFILE.NGB)
 MAPOPTS =	$(MAPFILES:%=-M%)
 
-LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(VAR_LD_LLDFLAGS)
-LDLIBS +=	$(LDLIBDIR) $(LD_LIB) $(ELFLIBDIR) -lelf \
-		    $(LDDBGLIBDIR) $(LDDBG_LIB) $(CONVLIBDIR) $(CONV_LIB)
+LDFLAGS +=	$(VERSREF) $(MAPOPTS) $(VAR_LD_LLDFLAGS)
+LDLIBS +=	$(LDLIBDIR) -lld $(ELFLIBDIR) -lelf \
+		    $(LDDBGLIBDIR) -llddbg $(CONVLIBDIR) -lconv
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
 
-native :=	LDFLAGS = -R$(SGSLIBDIR) $(ZNOVERSION)
-native :=	LDLIBS = -L$(SGSLIBDIR) $(LD_LIB) -lelf $(CONVLIBDIR) \
-		    $(CONV_LIB)
-native :=	CPPFLAGS += -DNATIVE_BUILD
-
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
 BLTMESG=	$(SGSMSGDIR)/ld
 
 BLTFILES=	$(BLTDEFS) $(BLTDATA) $(BLTMESG)
 
-SGSMSGCOM=	../common/ld.msg
+SGSMSGCOM=	$(SRCDIR)/common/ld.msg
 SGSMSGTARG=	$(SGSMSGCOM)
 SGSMSGALL=	$(SGSMSGCOM)
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA) -m $(BLTMESG) -n ld_msg
 
-SRCS=		$(MACHOBJS:%.o=%.c)  $(COMOBJS:%.o=../common/%.c)  $(BLTDATA)
+SRCS=		$(MACHOBJS:%.o=%.c)  $(COMOBJS:%.o=$(SRCDIR)/common/%.c)  $(BLTDATA)
 
 CLEANFILES +=	$(BLTFILES)
 
